{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Laporan PU (Pekerjaan Umum)</title>

    <style>
        body {
            font-family: Arial, sans-serif;
        }
        #header {
            text-align: center;
        }
        #logo-container {
            display: flex;
            align-items: center;
            justify-content: center;
        }
        #logo {
            max-width: 90px;
            max-height: 90px;
            margin-right: 20px;
        }
        #text-container {
            text-align: center;
            margin-bottom: 20px;
        }
        #text-container h3,
        #text-container h1,
        #text-container p {
            margin: 5px 0;
        }
        #address {
            text-align: center;
        }
        #divider {
            width: 100%;
            border-top: 1px solid #000;
            /* margin-top: 20px; */
            /* margin-bottom: 20px; */
        }
        hr {
            border: none;
            border-top: 5px solid #000; /* Warna dan ketebalan garis dapat disesuaikan */
            /* Atur spasi atas dan bawah garis */
        }
        table {
            border-collapse: collapse;
            width: 100%;
        }
    
        th, td {
            border: 1px solid black;
            padding: 8px;
            text-align: left;
        }
    
        th {
            background-color: #f2f2f2;
        }
    
        th:first-child,
        th:nth-child(2),
        th[colspan="2"],
        th:nth-last-child(2),
        th:last-child,
        th:nth-child(5),
        th:nth-child(6) {
            text-align: center;
        }
    
        .sign-box {
            width: 48%;
            padding: 10px;
            margin-top: 20px;
            display: inline-block;
            vertical-align: top;
            text-align: center;
            border: 1px solid black;
            box-sizing: border-box;
            text-align: left;
        }
    
        .row {
            width: 100%;
        }
        .nonLine {
            border-collapse: collapse;
            width: 100%;
            border: none;
        }
        h3 {
            font-family: 'Times New Roman', Times, serif;
        }
        h1 {
            font-family: 'Times New Roman', Times, serif;
        }
        p {
            font-family: 'Times New Roman', Times, serif;
        }
    </style>
</head>

<body onload="window.print()">
    <div id="header">
        <div id="logo-container">
            <img id="logo" src="{% static 'admin/images/logo-supiori.png' %}" alt="Logo">
            <div id="text-container">
                <h3>PEMERINTAH KABUPATEN SUPIORI</h3>
                <h1>SEKRETARIAT DAERAH</h1>
                <p>Jl. Raya Sorendiweri, Distrik Supiori Timur- Kabupaten Supiori-Provinsi Papua</p>
            </div>
        </div>
    </div>

    <div id="divider"></div>
    <hr> <!-- Garis tambahan setelah kop -->
    <center>
        <h2>Laporan PU (Pekerjaan Umum)</h2>
    </center>
    <!-- Konten lainnya -->
    <table>
        <thead class="bg-primary text-white">
            <tr>
                <th rowspan="2">No</th>
                <th rowspan="2">Tahun</th>
                <th rowspan="2">Wilayah</th>
                <th rowspan="2">Penanggung Jawab & Tanggal Input</th>
                <th colspan="5">Uraian Jalan</th>
                <th colspan="4">Uraian Jembatan</th>
                <th colspan="5">Bukti Jalan</th>
                <th colspan="4">Bukti Jembatan</th>
            </tr>
            <tr>
                <th>Pajang Jalan Beraspal</th>
                <th>Pajang Jalan Hampar</th>
                <th>Pajang Jalan Rusak</th>
                <th>Pajang Jalan Tani Beraspal </th>
                <th>Pajang Jalan Tani Belum Beraspal</th>
                <th>Jembatan beton          </th>
                <th>kondisi jembatan       </th>
                <th>jumlah jembatan kayu    </th>
                <th>kondisi jembatan      </th>
                <th>foto jln beraspal     		</th>
	            <th>foto jln hampar 			</th>
	            <th>foto jln rusak 				</th>
	            <th>foto jln tani 				</th>
	            <th>foto jln tani blm aspal 	</th>
                <th>foto jmt beton     		    </th>
	            <th>foto kondisi jmt 			</th>
	            <th>foto jmt kayu 				</th>
	            <th>foto kondisi jmt kayu 		</th>
            </tr>
        </thead>
        <tbody>
            {% for data_pu_ in data_pu_list %}
            <tr>
                    <td>{{forloop.counter}}</td>
                    <td>{{data_pu_.tahun}}</td>
                    <td class="tdx">{{data_pu_.kampung.distrik.title}}-{{data_pu_.kampung.titles}} </td>
                    <td>{{data_pu_.penanggungjawab.nama}} <br>{{data_pu_.create_date}} </td>
                    <td> {{data_pu_.jln_beraspal}}</td>
                    <td>{{data_pu_.jln_hampar}}</td>
                    <td> {{data_pu_.jln_rusak}}</td>
                    <td>{{data_pu_.jln_tani}} </td>
                    <td>{{data_pu_.jln_tani_blm_aspal}}</td>
                    <td>{{data_pu_.jmt_beton}}</td>
                    <td>{{data_pu_.kondisi_jmt}}</td>
                    <td>{{data_pu_.jmt_kayu}}</td>
                    <td>{{data_pu_.kondisi_jmt_kayu}}</td>
                    <td><img src="{{data_pu_.foto_jln_beraspal.url}}" width="50"></td>
                    <td><img src="{{data_pu_.foto_jln_hampar.url}}" width="50"></td>
                    <td><img src="{{data_pu_.foto_jln_rusak.url}}" width="50"></td>
                    <td><img src="{{data_pu_.foto_jln_tani.url}}" width="50"></td>
                    <td><img src="{{data_pu_.foto_jln_tani_blm_aspal.url}}" width="50"></td>
                    <td><img src="{{data_pu_.foto_jmt_beton.url}}" width="50"></td>
                    <td><img src="{{data_pu_.foto_kondisi_jmt.url}}" width="50"></td>
                    <td><img src="{{data_pu_.foto_jmt_kayu.url}}" width="50"></td>
                    <td><img src="{{data_pu_.foto_kondisi_jmt_kayu.url}}" width="50"></td>

            </tr>
       {% endfor %}
        </tbody>
    </table>
   
</body>
</html>
